Bug 298671 - Pulseaudio device chooser doesn't work at all in Fedora 7
Pulseaudio device chooser doesn't work at all in Fedora 7
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: padevchooser (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 13:44 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 09:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-20 13:44:18 EDT
Description of problem:

padevchooser doesn't work at all. See below:

Version-Release number of selected component (if applicable):

padevchooser-0.9.3-2.fc6

These pulseaudio packagesw do I have installed:

pulseaudio-esound-compat-0.9.6-2.fc7
pulseaudio-module-gconf-0.9.6-2.fc7
pulseaudio-lib-zeroconf-0.9.6-2.fc7
pulseaudio-lib-0.9.6-2.fc7
pulseaudio-0.9.6-2.fc7
pulseaudio-lib-glib2-0.9.6-2.fc7
pulseaudio-utils-0.9.6-2.fc7
pulseaudio-module-x11-0.9.6-2.fc7

How reproducible:

Always

Steps to Reproduce:
1. $ padevchooser (pulseaudio daemon is running)

Actual results:

$ padevchooser 

** (padevchooser:13472): WARNING **: pa_browser_new() failed.
$ 

Additional info:

Any ideas how to hont this down are welcome.
The padevchooser comes with virtually no documentation, doesn't support -h nor
--help switches and user has no idea how to increase a verbosity level or turn
on debug mode if there's any. The user experience is very poor here and
definitely needs improvement.
Comment 1 Lubomir Kundrak 2007-09-20 13:45:48 EDT
last couple of lines from strace

poll([{fd=14, events=POLLOUT, revents=POLLOUT}], 1, 0) = 1
write(14, "\0", 1)                      = 1
write(14, "AUTH EXTERNAL 38303836\r\n", 24) = 24
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, -1) = 1
read(14, "OK d9eef4fb9600bd897c4b4f0046f23"..., 2048) = 37
poll([{fd=14, events=POLLOUT, revents=POLLOUT}], 1, -1) = 1
write(14, "BEGIN\r\n", 7)               = 7
poll([{fd=14, events=POLLIN|POLLOUT, revents=POLLOUT}], 1, -1) = 1
writev(14, [{"l\1\0\1\0\0\0\0\1\0\0\0n\0\0\0\1\1o\0\25\0\0\0/org/fre"..., 128},
{"", 0}], 2) = 128
gettimeofday({1190310280, 81146}, NULL) = 0
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(14, "l\2\1\1\n\0\0\0\1\0\0\0=\0\0\0\6\1s\0\5\0\0\0:1.72\0\0\0"..., 2048) = 260
read(14, 0x9723230, 2048)               = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1190310280, 82002}, NULL) = 0
writev(14, [{"l\1\0\1f\0\0\0\2\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/fre"...,
144}, {"a\0\0\0type=\'signal\', interface=\'or"..., 102}], 2) = 246
gettimeofday({1190310280, 82283}, NULL) = 0
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(14, "l\2\1\1\0\0\0\0\3\0\0\0005\0\0\0\6\1s\0\5\0\0\0:1.72\0\0\0"..., 2048) = 72
read(14, 0x9723230, 2048)               = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1190310280, 82523}, NULL) = 0
writev(14, [{"l\1\0\1q\0\0\0\3\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/fre"...,
144}, {"l\0\0\0type=\'signal\', interface=\'or"..., 113}], 2) = 257
gettimeofday({1190310280, 82762}, NULL) = 0
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(14, "l\2\1\1\0\0\0\0\4\0\0\0005\0\0\0\6\1s\0\5\0\0\0:1.72\0\0\0"..., 2048) = 72
read(14, 0x9723230, 2048)               = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1190310280, 82980}, NULL) = 0
writev(14, [{"l\1\0\1:\0\0\0\4\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/fre"...,
144}, {"5\0\0\0type=\'signal\', interface=\'or"..., 58}], 2) = 202
gettimeofday({1190310280, 83229}, NULL) = 0
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(14, "l\2\1\1\0\0\0\0\5\0\0\0005\0\0\0\6\1s\0\5\0\0\0:1.72\0\0\0"..., 2048) = 72
read(14, 0x9723230, 2048)               = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1190310280, 83455}, NULL) = 0
writev(14, [{"l\1\0\1\32\0\0\0\5\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/fre"...,
144}, {"\25\0\0\0org.freedesktop.Avahi\0", 26}], 2) = 170
gettimeofday({1190310280, 83695}, NULL) = 0
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(14, "l\2\1\1\4\0\0\0\6\0\0\0=\0\0\0\6\1s\0\5\0\0\0:1.72\0\0\0"..., 2048) = 84
read(14, 0x9723230, 2048)               = -1 EAGAIN (Resource temporarily
unavailable)
close(14)                               = 0
write(2, "\n** (padevchooser:13497): WARNIN"..., 63
** (padevchooser:13497): WARNING **: pa_browser_new() failed.
) = 63
Comment 2 Lubomir Kundrak 2007-09-20 13:48:08 EDT
This is the fd 14

socket(PF_FILE, SOCK_STREAM, 0)         = 14
connect(14, {sa_family=AF_FILE, path="/var/run/dbus/system_bus_socket"}, 33) = 0
fcntl64(14, F_GETFL)                    = 0x2 (flags O_RDWR)
fcntl64(14, F_SETFL, O_RDWR|O_NONBLOCK) = 0
fcntl64(14, F_GETFD)                    = 0
fcntl64(14, F_SETFD, FD_CLOEXEC)        = 0
getuid32()                              = 8086
rt_sigaction(SIGPIPE, {SIG_IGN}, {SIG_IGN}, 8) = 0
poll([{fd=14, events=POLLOUT, revents=POLLOUT}], 1, 0) = 1
write(14, "\0", 1)                      = 1
write(14, "AUTH EXTERNAL 38303836\r\n", 24) = 24
poll([{fd=14, events=POLLIN, revents=POLLIN}], 1, -1) = 1
read(14, "OK d9eef4fb9600bd897c4b4f0046f23"..., 2048) = 37
poll([{fd=14, events=POLLOUT, revents=POLLOUT}], 1, -1) = 1
write(14, "BEGIN\r\n", 7)               = 7
poll([{fd=14, events=POLLIN|POLLOUT, revents=POLLOUT}], 1, -1) = 1
Comment 3 Lubomir Kundrak 2007-09-20 13:51:40 EDT
With avahi started, the utility just hangs.
Comment 4 Lubomir Kundrak 2007-09-20 13:53:47 EDT
Ignore the previous comment, things work now when avahi runs.
Comment 5 Lennart Poettering 2007-09-25 09:39:26 EDT
I uplaoded a new version of padevchooser yesterday that show a dialog box with
an explanation if Avahi is not started.

Note You need to log in before you can comment on or make changes to this bug.